POST https://services.leadconnectorhq.com/associations/relations
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Body
Name
Type
Required
Example
Description
locationId
string
Yes
clF1LD04GTUKN3b3XuOj
Your Sub Account's ID
associationId
string
Yes
ve9EPM428h8vShlRW1KT
Association's Id
firstRecordId
string
Yes
ve9EPM428h8vShlRW1KT
First Record's Id. For instance, if you have an association between a contact and a custom object, and you specify the contact as the first object while creating the association, then your firstRecordId would be the contactId
secondRecordId
string
Yes
ve9EPM428h8vShlRW1KT
Second Record's Id.For instance, if you have an association between a contact and a custom object, and you specify the custom object as the second entity while creating the association, then your secondRecordId would be the customObject record Id
Responses
201 - Successful response
locationId (string, required): Example: string
id (string, required): Example: ve9EPM428h8vShlRW1KT
key (string, required): First Objects Association Label (custom_objects.children) Example: student
firstObjectLabel (object, required): First Objects Association Label (custom_objects.children) Example: student
firstObjectKey (object, required): First Objects Key Example: custom_objects.children
secondObjectLabel (object, required): Second Object Association Label (contact) Example: Teacher
secondObjectKey (object, required): Second Objects Key Example: contact
associationType (object, required): Association Type can be USER_DEFINED or SYSTEM_DEFINED Example: USER_DEFINED